---
title: Comments
slug: Web/CSS/Comments
tags:
  - CSS
  - Guide
  - Reference
---
<div>{{CSSRef}}</div>

<p>A CSS <strong>comment</strong> is used to add explanatory notes to the code or to prevent the browser from interpreting specific parts of the style sheet. By design, comments have no effect on the layout of a document.</p>

<h2 id="Syntax">Syntax</h2>

<p>Comments can be placed wherever white space is allowed within a style sheet. They can be used on a single line, or traverse multiple lines.</p>

<pre class="syntaxbox notranslate">/* Comment */</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush:css notranslate">/* A one-line comment */

/*
A comment
which stretches
over several
lines
*/

/* The comment below is used to
   disable specific styling */
/*
span {
  color: blue;
  font-size: 1.5em;
}
*/
</pre>

<h2 id="Notes">Notes</h2>

<p>The <code>/* */</code> comment syntax is used for both single and multiline comments. There is no other way to specify comments in external style sheets. However, when using the {{htmlelement("style")}} element, you may use <code>&lt;!-- --&gt;</code> to hide CSS from older browsers, although this is not recommended. As with most programming languages that use the <code>/* */</code> comment syntax, comments cannot be nested. In other words, the first instance of <code>*/</code> that follows an instance of <code>/*</code> closes the comment.</p>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li><a href="http://www.w3.org/TR/CSS21/syndata.html#comments">CSS 2.1 Syntax and basic data types #comments</a></li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSS_key_concepts}}</li>
</ul>
